Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class HtmlStyleToken

    java.lang.Object
      adc.parser.HtmlTag
          scone.util.tokenstream.HtmlTagToken
              scone.util.tokenstream.HtmlStyleToken

All Implemented Interfaces:
  Token

    public class HtmlStyleToken

extends HtmlTagToken

an HTML style element.

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected java.lang.String` | `style` the style definitions

Fields inherited from class scone.util.tokenstream.HtmlTagToken
`tag, whiteSpaces`

Fields inherited from class adc.parser.HtmlTag
`P_ALIGN, P_BACKGROUND, P_BORDER, P_CHECKED, P_CLEAR, P_CODE, P_COLS, P_COLSPAN, P_FACE, P_HEIGHT, P_HREF, P_LANGUAGE, P_LOWSRC, P_MAXLENGTH, P_MULTIPLE, P_NAME, P_ROWS, P_ROWSPAN, P_SIZE, P_SRC, P_TARGET, P_TYPE, P_VALUE, P_WIDTH, T__DOCTYPE, T_A, T_ABBREV, T_ACRONYM, T_ADDRESS, T_APPLET, T_AREA, T_AU, T_B, T_BANNER, T_BASE, T_BASEFONT, T_BGSOUND, T_BIG, T_BLINK, T_BLOCKQUOTE, T_BODY, T_BR, T_CAPTION, T_CENTER, T_CITE, T_CODE, T_COL, T_COLGROUP, T_CREDIT, T_DD, T_DEL, T_DFN, T_DIR, T_DIV, T_DL, T_DT, T_EM, T_EMBED, T_FIG, T_FN, T_FONT, T_FORM, T_FRAME, T_FRAMESET, T_H1, T_H2, T_H3, T_H4, T_H5, T_H6, T_HEAD, T_HR, T_HTML, T_I, T_IFRAME, T_IMG, T_INPUT, T_INS, T_ISINDEX, T_KBD, T_LANG, T_LH, T_LI, T_LINK, T_MAP, T_MARQUEE, T_MENU, T_META, T_NEXTID, T_NOBR, T_NOEMBED, T_NOFRAME, T_NOFRAMES, T_NOTE, T_OBJECT, T_OL, T_OPTION, T_OVERLAY, T_P, T_PARAM, T_PERSON, T_PRE, T_Q, T_RANGE, T_S, T_SAMP, T_SCRIPT, T_SELECT, T_SMALL, T_SPOT, T_STRONG, T_STYLE, T_SUB, T_SUP, T_TAB, T_TABLE, T_TBODY, T_TD, T_TEXTAREA, T_TFOOT, T_TH, T_THEAD, T_TITLE, T_TR, T_TT, T_U, T_UL, T_UNKNOWN, T_VAR, T_WBR`

Constructor Summary
`HtmlStyleToken(adc.parser.HtmlTag tag, java.lang.String style, java.lang.StringBuffer whiteSpaces)` creates a `HtmlStyleToken`

Method Summary
`Token` | `getClone()` returns a clone of this Token
`java.lang.String` | `getStyle()` returns the style definitions
`java.lang.String` | `toString()` returns a string representation of the style element, preceded by the whitespaces

Methods inherited from class scone.util.tokenstream.HtmlTagToken
`getIntParam, getParam, getTagString, getTagType, getWhiteSpaces, hasParam, isEndTag, isInBody, removeParam, setParam, setParam`

Methods inherited from class adc.parser.HtmlTag
`reset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### style

    protected java.lang.String style

  the style definitions

Constructor Detail

### HtmlStyleToken

    public HtmlStyleToken(adc.parser.HtmlTag tag,
                          java.lang.String style,
                          java.lang.StringBuffer whiteSpaces)

  creates a `HtmlStyleToken`

  Parameters:
    `tag` - the tag
    `style` - the style definitions
    `whiteSpaces` - preceding whitespaces

Method Detail

### getClone

    public Token getClone()

  returns a clone of this Token

  Specified by:
    `getClone` in interface `Token`
  Overrides:
    `getClone` in class `HtmlTagToken`
  Returns:
    the clone

### getStyle

    public java.lang.String getStyle()

  returns the style definitions

  Returns:
    the style definitions

### toString

    public java.lang.String toString()

  returns a string representation of the style element, preceded by the whitespaces

  Overrides:
    `toString` in class `HtmlTagToken`
  Returns:
    the style element as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD